<html>
<head>
<title>OgreMeshSerializer.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreMeshSerializer.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSerializer_8h_source.html">OgreSerializer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMeshSerializerImpl_8h_source.html">OgreMeshSerializerImpl.h</a>&quot;</code><br/>
</div>
<p><a href="OgreMeshSerializer_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html">Ogre::MeshSerializer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for serialising mesh data to/from an OGRE .mesh file.  <a href="classOgre_1_1MeshSerializer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer_1_1MeshVersionData.html">Ogre::MeshSerializer::MeshVersionData</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerListener.html">Ogre::MeshSerializerListener</a></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7">Ogre::MeshVersion</a> { <br/>
&#160;&#160;<a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7ad0d24c88b7b4e8907d7b03ca9e4f87d4">Ogre::MESH_VERSION_LATEST</a>, 
<a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7a6aecc8aa7824aab71d8956f91f69854b">Ogre::MESH_VERSION_1_8</a>, 
<a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7a0293a379395df95e09c920bd751ee576">Ogre::MESH_VERSION_1_7</a>, 
<a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7a87fbdc88b80bff5b685005912fc952d1">Ogre::MESH_VERSION_1_4</a>, 
<br/>
&#160;&#160;<a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7a740322a149493f1dfc4ae893b396eeb8">Ogre::MESH_VERSION_1_0</a>, 
<a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7a1650c5d2628916d49a2e5b64f97ff1ee">Ogre::MESH_VERSION_LEGACY</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Mesh compatibility versions.  <a href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
